TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get multisig orders

GET
/api/v3/multisig/orders

Query multisig orders that match the specified filters.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

address?array<string>

Order address in any form. Maximum: 1024 addresses.

multisig_address?array<string>

Address of the corresponding multisig wallet in any form. Maximum: 1024 addresses.

parse_actions?boolean

Parse order actions.

Defaultfalse
limit?integer

Limit the number of rows to return. Use with offset to batch requests.

Formatint32
Range1 <= value <= 1024
Default10
offset?integer

Skip the first N rows. Use with limit to batch requests.

Formatint32
Range0 <= value
Default0
sort?string

Sort orders by last_transaction_lt.

Default"desc"

Value in

  • "asc"
  • "desc"

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/multisig/orders"
{  "address_book": {    "property1": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    },    "property2": {      "domain": "string",      "interfaces": [        "string"      ],      "user_friendly": "string"    }  },  "orders": [    {      "actions": [        {          "body_raw": [            0          ],          "destination": "string",          "error": "string",          "parsed": true,          "parsed_body": null,          "parsed_body_type": "string",          "send_mode": 0,          "value": "string"        }      ],      "address": "string",      "approvals_mask": "string",      "approvals_num": 0,      "code_hash": "string",      "data_hash": "string",      "expiration_date": 0,      "last_transaction_lt": "0",      "multisig_address": "string",      "order_boc": "string",      "order_seqno": "string",      "sent_for_execution": true,      "signers": [        "string"      ],      "threshold": 0    }  ]}